<?
    include './system/common.php';
 include './system/functions.php';
      include './system/user.php';
if(!$user) {  header('location: /'); exit;}
$title =' Обменник ';
    include './system/h.php';
$id = _num($_POST['id']);
$type = _num($_POST['type']);
$types = _num($_POST['types']);
  if($_POST['submit']) {
  if($type < 0 OR $type > 2) exit(header('location: ?'));
   if($types < 0 OR $types > 2) exit(header('location: ?'));
  if($types == 2) {
         if($type == 2) {
        $_SESSION['not'] = "<div class='alert'>
    <div class='color1 s125'>А ты смешной :) зачем менять сахар на сахар?</div>
    <div class='a_separator'></div>
</div>";   
header('location: ?');
exit;
     }

        
     if($type == 1) {
if($id > $user['g']) {
$_SESSION['not'] = '<div class="alert">
    <div class="color1 s125">Не хватает Ресурсов</div>
    <div class="a_separator"></div>
</div>';
header('location: ?');
exit;
}else{
 
     if($id > $user['s_limit']) {
     $_SESSION['not'] = '<div class="alert">
    <div class="color1 s125">Лимит меньше смени количество обмена </div>
    <div class="a_separator"></div>
</div>';
header('location: ?');
exit;
}else{
    
    
    
    
      if($id < 1){
      $_SESSION['not'] = "<div class='alert'>
    <div class='color1 s125'>Обмен только от 1 до 10000 одним разом </div>
    <div class='a_separator'></div>
</div>"; 
header('location: ?');
}else{
  if($id > 10000){
      $_SESSION['not'] = "<div class='alert'>
    <div class='color1 s125'>Обмен только от 1 до 10000 одним разом </div>
    <div class='a_separator'></div>
</div>"; 
header('location: ?');
}else{
    $rubs = ($id * 100);
    mysql_query('UPDATE `users` SET `s` = `s` + '.$rubs.',`g` = `g` - '.$id.',`s_limit` = `s_limit` - '.$id.' WHERE `id` = "'.$user['id'].'"');
  $_SESSION['not'] = "<div class='alert'>
    <div class='color1 s125'> Успешный обмен сахара на рубли + $rubs </div>
    <div class='a_separator'></div>
</div>";
header('location: ?');
exit;
} 
} 
}
}
}
}
  if($types == 1) {
if($type == 1) {
if($id > $user['d']) {
$_SESSION['not'] = '<div class="alert">
    <div class="color1 s125">Не хватает Ресурсов</div>
    <div class="a_separator"></div>
</div>';
header('location: ?');
exit;
}else{
      if($id < 1){
      $_SESSION['not'] = "<div class='alert'>
    <div class='color1 s125'>Обмен только от 1 до 10000 одним разом </div>
    <div class='a_separator'></div>
</div>"; 
header('location: ?');
}else{
  if($id > 10000){
      $_SESSION['not'] = "<div class='alert'>
    <div class='color1 s125'>Обмен только от 1 до 10000 одним разом </div>
    <div class='a_separator'></div>
</div>"; 
header('location: ?');
}else{
    $rubs = ($id * 200);
    mysql_query('UPDATE `users` SET `s` = `s` + '.$rubs.',`d` = `d` - '.$id.' WHERE `id` = "'.$user['id'].'"');
  $_SESSION['not'] = "<div class='alert'>
    <div class='color1 s125'>Успешный обмен сгущенки на рубли + $rubs </div>
    <div class='a_separator'></div>
</div>";
header('location: ?');
exit;
} 
} 
}
}
if($type == 2) {
if($id > $user['d']) {
$_SESSION['not'] = '<div class="alert">
    <div class="color1 s125">Не хватает Ресурсов</div>
    <div class="a_separator"></div>
</div>';
header('location: ?');
exit;
}else{
  if($id < 1){
      $_SESSION['not'] = "<div class='alert'>
    <div class='color1 s125'>Обмен только от 1 до 10000 одним разом </div>
    <div class='a_separator'></div>
</div>"; 
header('location: ?');
}else{
  if($id > 10000){
      $_SESSION['not'] = "<div class='alert'>
    <div class='color1 s125'>Обмен только от 1 до 10000 одним разом </div>
    <div class='a_separator'></div>
</div>"; 
header('location: ?');
}else{
    $rubg = ($id * 2);
      mysql_query('UPDATE `users` SET `g` = `g` + '.$rubg.',`d` = `d` - '.$id.' WHERE `id` = "'.$user['id'].'"');
  $_SESSION['not'] = "<div class='alert'>
    <div class='color1 s125'>Успешный обмен сгущенки на сахар + $rubg </div>
    <div class='a_separator'></div>
</div>";
header('location: ?');
exit;
}
}
}
}
}
}
?>



 <div class="content"><div class="block center color3 s125">Обменник</div>
            <div class="line"></div><div class="block">
                                <div></div>
                            <img src="/images/icons/donate.png" width="16" height="16" alt=""> 1 =
                <img src="/images/icons/gold.png" width="16" height="16" alt=""> 2,
            не более
                                        <img src="/images/icons/gold.png" width="16" height="16" alt=""> <?=($user['d']*2)?>                    <div></div>
                            <img src="/images/icons/donate.png" width="16" height="16" alt=""> 1 =
                <img src="/images/icons/silver.png" width="16" height="16" alt=""> 200,
            не более
                                        <img src="/images/icons/silver.png" width="16" height="16" alt=""> <?=($user['d']*200)?>                                           <div></div>
                            <img src="/images/icons/gold.png" width="16" height="16" alt=""> 1 =
                <img src="/images/icons/silver.png" width="16" height="16" alt=""> 100,
            не более
                                        <img src="/images/icons/silver.png" width="16" height="16" alt=""> <?=($user['s_limit']*100)?>            </div>
<div class="dotted"></div>







<form action='' method='post'>
    Сколько отдаем:<br/>
    <input name='id' class="form-control"/>
    Отдаем : <br />
<select name='types' class="form-control">
<option value='1' class="form-control" > Сгущенка</option>
<option value='2' class="form-control" > Сaхар</option>
</select><br />
Получаем : <br />
<select name='type' class="form-control">
<option value='1'>Рубли</option>
<option value='2'>Сахар</option>
</select><br />
<div class='mini-line'></div>
<span class="m3 btn_start middle">
 <span class="btn_end">
<input type='submit' name='submit' value='Обменять' class="btn"></span>
</span>

</form>         
</div>

<? include './system/f.php';?>